#include <fstream>
using namespace std;
int main()
{
    ifstream f1("doicho.inp");
    ofstream f2("doicho.out");
    int i,j;
    f1 >> i >> j;
    int a[i][j];
    for (int b = 0; b < i; b++)
    {
        for (int c = 0; c < j; c++) f1 >> a[b][c];
    }
    int k,l;
    f1 >> k >> l;
    for (int n = 0; n < i; n++)
    {
        int m = a[k-1][n];
        a[k-1][n] = a[l-1][n];
        a[l-1][n] = m;
    }
    for (int x = 0; x < i; x++)
    {
        for (int y = 0; y < i; y++) f2 << a[x][y];
        f2 << endl;
    }
    return 0;
}
